***Sintax ENADID 1997, BASE DE DATOS MORTALIDAD***
*** Base de datos: ENADID97_mort.sav***

*** ETIQUETAR Y CODIFICAR VARIABLES DE LA BASE DE MORTALIDAD***

***1.***

Variable Labels ent 'ent Entidad'.
Value Labels ent
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***2.***

Variable Labels mun 'mun Municipio'.
Execute .

***3.***

Variable Labels zona 'zona Zona'.
Value Labels zona
01	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
02	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
03	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
04	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
05	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
06	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
07	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
20	'Localidades de 90 000 a 99 999 habitantes'
30	'Localidades de 50 000 a 89 999 habitantes'
40	'Localidades de 15 000 a 49 999 habitantes'
50	'Localidades de 2 500 a 14 999 habitantes'
60	'Menores de 2 500 habitantes'.
Execute .

***4.***

Variable Labels estrato 'estrato Estrato'.
Execute .

***5.***

Variable Labels tam_loc 'tam_loc Tamao de localidad'.
Value Labels tam_loc
1  'Menor a 2 500 habitantes'
2  '2 500 a 14 999 habitantes'
3  '15 000 a 19 999 habitantes'
4  '20 000 a 99 999 habitantes'
5  '100 000 y ms habitantes'.
Execute .

***6.***

Variable Labels upm 'upm Nmero de control'.
Execute .

***7.***

Variable Labels f_viv 'f_viv Folio de vivienda'.
Execute .

***8.***

Variable Labels hogar 'hogar Nmero de hogar en la vivienda'.
Execute .

***9.***

Variable Labels fac_viv 'fac_viv Factor de expansin (vivienda)'.
Execute .

***10.***

Variable Labels p8_2 'p8_2 Nmero de registro en Mortalidad'.
Execute .

***11.***

Variable Labels p8_6a 'p8_6a Fecha de defuncin_Mes'.
Value Labels p8_6a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No sabe'.
Execute .

***12.***

Variable Labels p8_6b 'p8_6b Fecha de defuncin_Ao'.
Value Labels p8_6b	99 'No sabe'.
Execute .

***13***

Variable Labels p8_7 'p8_7 Un mdico o persona autorizada les dio un certificado de la muerte o papel donde dice de qu muri__?'.
Value Labels p8_7	3 'S'
			4 'No'
			9 'No sabe'.
Execute .

***14.***

Variable Labels p8_8 'p8_8 Registraron la muerte en el registro civil?'.
Value Labels p8_8	1 'S'
			2 'No'
			9 'No sabe'.
Execute .

***15.***

Variable Labels p8_9 'p8_9 Sexo del fallecido'.
Value Labels p8_9	3 'Hombre'
			4 'Mujer'.
Execute .

***16.***

Variable Labels p8_10a 'p8_10a Edad al fallecimiento_Meses'.
Value Labels p8_10a	0   'Menos de un mes'
			99 'No sabe'.
Execute .

***17.***

Variable Labels p8_10b 'p8_10b Edad al fallecimiento_Aos'.
Value Labels p8_10b	98 '98 o ms aos'
			99 'No sabe'.
Execute .

***18.***

Variable Labels p8_11 'p8_11 Mortalidad materna. Muri:'.
Value Labels p8_11
1  'Estando embarazada'
2  'Durante el parto'
3  'Durante la cuarentena (6 semanas despus del parto)'
4  'Por otras razones'
9  'No sabe'.
Execute .

***19.***

Variable Labels p8_12 'p8_12 Cuntos meses dur ese embarazo?'.
Value Labels p8_12	99 'No sabe'.
Execute .

***20.***

Variable Labels p8_13a 'p8_13a Causa de muerte'.
Value Labels p8_13a
1  'Presin alta'
2  'Sangrado o hemorragia'
3  'Aborto'
4  'Otra razn'
9  'No sabe'.
Execute .

***21.***

Variable Labels p8_13b 'p8_13b Causa de muerte_otro'.
Value Labels p8_13b
220  'Presin alta y baja'
620  'Problemas relacionados con la implantacin de la placenta en la cavidad uterina'
810  'Enfermedades ajenas al parto o posparto'
820  'Accidente'
830  'Problemas de la atencin mdica'
999  'No sabe'.
Execute .



***************************************
*** PEGAR BASES DE DATOS
***************************************

*** I M P O R T A N T E
*** Tener en cuenta que si se desea realizar el pegado de bases nuevamente es necesario modificar la ruta
*** en la que se encuentra ya sea la base de Datos Generales o la de Vivienda y Hogares

*** En la base de migracin hay una modificacin en una de las variabes que utilizan como llave
*** esto se debe a que la variable relativa al nmero de registro de la persona en esta base es p7_2a y en la de datos generales es p3_1  

*** Para realizar el pegado de las variables de las bases de Datos Generales y de Vivienda y Hogares
*** se cre una variable llave y las bases se ordenaron de acuerdo a esta llave y al nmero de registro de la persona en la base de datos generales.
*** Las bases de vivienda y hogares, y la de mortalidad solamente se ordenaron de acuerdo a la variable llave

*** La sintaxis de los pasos seguidos es la siguiente:


** 1. ORDENAR las bases de datos en forma ascendente, con base en 4 variables

SORT CASES BY
  ent (A) mun (A) zona (A) estrato (A).


** 2. CREAR UNA VARIABLE LLAVE. Es de tipo cadena porque todas las variables involucradas son de ese tipo

STRING llave (A20).
COMPUTE llave = CONCAT(ent, mun,zona,estrato,upm,f_viv,hogar) .
Variable Labels llave 'llave Variable llave para pegar bases de datos'.
EXECUTE .


** 3 MORTALIDAD. ORDENAR
** Esta base solamente se orden de acuerdo a la variable llave

SORT CASES BY
  llave (A) .


******************************************************************************************************************************************
*** 1. A LA BASE DE MORTALIDAD PEGAR VARIABLES DE LA BASE DE VIVIENDA Y HOGARES ***
*** A esta base solamente se pegaron las variables de vivienda y hogares debido a que 
*** los datos se refieren a las personas que vivan en el hogar y que fallecieron durante el periodo en estudio
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_viv-hog.sav'
 /RENAME (ent estrato f_viv fac_viv fent_mes hogar ingmenth mun p2_2 p2_3
  p3_3a p3_3c p6_10mh p6_8mh p7_11a p7_11b p8_1a p8_1b p8_4 tam_loc tip_hog
  upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22)
 /BY llave
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22.
EXECUTE.


